BLUEMON(1)

NAME
bluemon — Activate or deactivate programs based on bluetooth link quality

SYNOPSIS

bluemon [-b aa:bb:cc:dd:ee:ff] [--btid aa:bb:cc:dd:ee:ff] [-t threshold] [--threshold threshold] [-i interval] [--interval interval] [-s ] [--stdout ] [--no-syslog ] [-n ] [--no-fork ] [-v ] [--verbose ] [-d ] [--disconnect-hack ] [-q ] [--link-quality ] [-h ] [--help ] [-V ] [--version ]

DESCRIPTION

This manual page documents briefly the bluemon command.

bluemon monitors the quality of the link to a bluetooth device and emits dbus signals when it drops below a given threshold or disconnects. Used with the bluemon-client program, This can be used to perform actions like locking the terminal when you walk away from it.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-i           --interval
    The check interval, in ms.

-t           --threshold
    The link quality threshold, out of 255

-b           --btid
    The bluetooth ID to monitor (e.g. aa:bb:cc:dd:ee:ff). This parameter may be specified multiple times to monitor multiple devices.

-s           --stdout           --no-syslog
    Log to stdout rather than syslog

-n           --no-fork
    Do not become a daemon

-d           --disconnect-hack
    Enable this if your bluetooth device disconnects regularly while still in range, adds a small delay into noticing device abscence upon disconnect.

-v           --verbose
    Enable verbose output

-q           --link-quality
    Check for link quality to device. Default only checks for presence of connection.

-h           --help
    Show summary of options.

-V           --version
    print version.

SEE ALSO

hcitool (1), bluemon-client(1), bluemon-query(1), bluemon-dbus(7).

AUTHOR

This manual page was written by Matthew Johnson <debian@matthew.ath.cx> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.